<h2>{{ 'Dashboard.userTable' | translate:lang }}</h2>
<p-table #dt [columns]="cols" [value]="users" [(selection)]="selectedUsers" dataKey="id" [paginator]="users.length > 10" [rows]="10">
  <ng-template pTemplate="caption">
    <div class="btn-group float-right" role="group" aria-label="Basic example">
      <button type="button"
              routerLink="user/create"
              class="btn btn-info"
              data-toggle="tooltip"
              data-placement="top"
              title="{{ 'Dashboard.popUp.create' | translate:lang }}">
        <i class="fa fa-plus"></i></button>
      <button type="button"
              [disabled]="isDiamondBtnDisable()"
              (click)="givePrivileges()"
              class="btn btn-info"
              data-toggle="tooltip"
              data-placement="top"
              title="{{ 'Dashboard.popUp.admin' | translate:lang }}">
        <i class="fa fa-diamond"></i></button>
      <button type="button"
              (click)="takeAwayPrivileges()"
              [disabled]="isWheelchairBtnDisable()"
              class="btn btn-info"
              data-toggle="tooltip"
              data-placement="top"
              title="{{ 'Dashboard.popUp.noAdmin' | translate:lang }}">
        <i class="fa fa-wheelchair"></i></button>
      <button type="button"
              (click)="unblockUsers()"
              [disabled]="isUnblockBtnDisable()"
              class="btn btn-info"
              data-toggle="tooltip"
              data-placement="top"
              title="{{ 'Dashboard.popUp.unblock' | translate:lang }}">
        <i class="fa fa-unlock"></i></button>
      <button type="button"
              (click)="blockUsers()"
              [disabled]="isBlockBtnDisable()"
              class="btn btn-info"
              data-toggle="tooltip"
              data-placement="top"
              title="{{ 'Dashboard.popUp.block' | translate:lang }}">
        <i class="fa fa-ban"></i></button>
      <button type="button"
              (click)="deleteUsers()"
              [disabled]="isDeleteBtnDisable()"
              class="btn btn-info"
              data-toggle="tooltip"
              data-placement="top"
              title="{{ 'Dashboard.popUp.delete' | translate:lang }}">
        <i class="fa fa-trash"></i></button>
    </div>
    <div style="text-align: right; margin-top: 5px;" class="float-left">
      <i class="fa fa-search" style="margin:4px 4px 0 0"></i>
      <input type="text" pInputText size="50" placeholder="{{ 'Dashboard.globalFilter' | translate:lang }}" (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto">
    </div>
    <div class="clearfix"></div>
  </ng-template>
  <ng-template pTemplate="header" let-columns>
    <tr>
      <th style="width: 2.25em">
        <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
      </th>
      <th *ngFor="let col of columns" [pSortableColumn]="col.field">
        {{col.header | translate:lang}}
        <p-sortIcon [field]="col.field"></p-sortIcon>
      </th>
      <th style="width:5em" align="center">{{ 'Dashboard.tableHeaders.Blocked' | translate:lang }}</th>
      <th style="width:5em" align="center">{{ 'Dashboard.tableHeaders.Admin' | translate:lang }}</th>
      <th style="width:8em" align="center">{{ 'Dashboard.tableHeaders.Verified' | translate:lang }}</th>
      <th style="width:3em"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-rowData let-columns="columns">
    <tr [pSelectableRow]="rowData">
      <td>
        <p-tableCheckbox [value]="rowData" *ngIf="auth.user.id !== rowData.id"></p-tableCheckbox>
      </td>
      <td *ngFor="let col of columns">
        {{rowData[col.field]}}
      </td>
      <td align="center">
        <i class="fa"
           [class.fa-times]="!rowData.blocked"
           [class.fa-check]="rowData.blocked"></i>
      </td>
      <td align="center">
        <i class="fa"
           [class.fa-times]="!rowData.admin"
           [class.fa-check]="rowData.admin"></i>
      </td>
      <td align="center">
        <i class="fa centered-icon"
           [class.fa-times]="!rowData.verified_email"
           [class.fa-check]="rowData.verified_email"></i>
      </td>
      <td>
        <button pButton icon="fa-search" (click)="selectUserWithButton(rowData)"></button>
      </td>
    </tr>
  </ng-template>
</p-table>
